%define name gtktilink
%define version 0.99c
%define release 2mdk

Summary: GTK+ TI Calculator Link
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Office
Source: %{name}-%{version}.tar.bz2
URL: http://gtktilink.ticalc.org/
Provides: tilink
Packager: rufus t firefly <rufus.t.firefly@linux-mandrake.com>
Buildroot: /var/tmp/%{name}-buildroot

%description
The GtkTiLink is a program which allows you to transfer some data between
a Texas Instruments calculator and a computer. The TI92, TI89/92+, TI85,
TI82/3 and the TI86 are supported, or have support planned, and it works
with the parallel link cable, serial link cable, and TI Graph Link cable.
It can send/reveive data and backups, make a capture of the calculator
screen, and do remote control.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gtktilink-0.54_2.08_devel/

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
cd gtktilink
./configure --prefix=/usr --sysconfdir=/etc --sharedstatedir=/var  \
            --localstatedir=/var --with-x
make all

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 gtktilink/gtktilink  $RPM_BUILD_ROOT/usr/bin/
install -m 755 -d $RPM_BUILD_ROOT/usr/man/man1
install -m 644 manpages/*.1 $RPM_BUILD_ROOT/usr/man/man1/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/gtktilink
install -m 644 pixmaps/*.xpm  $RPM_BUILD_ROOT/usr/share/gtktilink/      
install -m 644 help/HELP $RPM_BUILD_ROOT/usr/share/gtktilink/
install -m 644 help/AIDE $RPM_BUILD_ROOT/usr/share/gtktilink/

install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 {BUGS,CONVERT,COPYING} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 {FILES,FNCTS,GTKFNCTS} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 {INSTALL,README,THANKS,TODO} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 VERSION $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/

bzip2 $RPM_BUILD_ROOT/usr/man/man1/*


# patch to link HELP_FILE to HELP
if [ -f /usr/share/gtklink/HELP_FILE ]; then
  ( cd /usr/share/gtktilink; ln -s HELP HELP_FILE )
fi

%post

%postun

%files
%defattr (-,root,root)
%dir /usr/share/gtktilink/
%dir /usr/doc/%{name}-%{version}/
/usr/doc/%{name}-%{version}/*
/usr/bin/gtktilink
/usr/man/man1/*
/usr/share/gtktilink/*

%changelog
* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99c-2mdk
- fix group
- fix files section

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99c-1mdk
- v0.99c
- fixed install
- bz2 image + provide the xmp files
 
* Tue Jan 25 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - upgraded to 0.54_2.08_devel / 0.99c
* Fri Jan 21 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - upgraded to 0.54_2.07_devel / 0.99b
* Tue Jan 04 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [gtktilink-0.52-2.04_unstable-1mdk]
  - upgraded to new version from freshmeat
* Wed Dec 15 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [gtktilink-0.40_1.96_stable-2mdk]
  - linked HELP_FILE to HELP because help system looks for wrong file name
* Wed Dec 15 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [gtktilink-0.40_1.96_stable-1mdk]
  - upgraded to new stable package
  - changed description to be more in line with capabilities
  - removed backup file from last version for TI85
* Wed Dec 08 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [gtktilink-0.37_1.94_unstable-1mdk]
  - removed superfluous provides parameter
  - upgraded to new unstable package
* Fri Dec 03 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [gtktilink-0.35_1.92_stable-2mdk]
  - absorbed Lenny Cartier's changes to documentation location
  - fixed the changelog format
* Mon Nov 29 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [gtktilink-0.35_1.92_stable-1mdk]
  - upgraded to newest version from freshmeat (with TI-83 support)
  - updated gtktilink homepage and download URLs to new site
* Mon Nov 29 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [gtktilink-0.33_1.90_stable-1mdk]
  - upgraded to newest version from freshmeat
* Tue Nov 09 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [gtktilink-0.31_1.85_stable-1mdk]
  - upgraded to stable release
  - removed old ready92 executable
* Tue Oct 26 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [gtktilink-0.21_1.81_devel-1mdk]
  - initial packaging (with changelog tag) 
